hmqv.h File Reference

Classes for Hashed Menezes-Qu-Vanstone key agreement in GF(p). More...

Go to the source code of this file.

## Classes

class | HMQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION, HASH >
| Hashed Menezes-Qu-Vanstone in GF(p). More...

## Typedefs

typedef HMQV_Domain< DL_GroupParameters_GFP_DefaultSafePrime > | HMQV
| Hashed Menezes-Qu-Vanstone in GF(p).

## Detailed Description

Classes for Hashed Menezes-Qu-Vanstone key agreement in GF(p).

Since
  Crypto++ 5.6.4

Definition in file hmqv.h.

## Typedef Documentation

## HMQV

typedef HMQV_Domain<DL_GroupParameters_GFP_DefaultSafePrime> HMQV

Hashed Menezes-Qu-Vanstone in GF(p).

This implementation follows Hugo Krawczyk's HMQV: A High-Performance Secure Diffie-Hellman Protocol. Note: this implements HMQV only. HMQV-C with Key Confirmation is not provided.

See also
  HMQV, HMQV_Domain, FHMQV_Domain, AuthenticatedKeyAgreementDomain

Since
  Crypto++ 5.6.4

Definition at line 413 of file hmqv.h.